<app-home></app-home><br>

<div id="button">
    <a (click)="onCarrinhoDetail()">
        <i class="material-icons" style="cursor: pointer;">visibility</i>
    </a>
</div>

<legend>Carrinhos em Operação</legend>
<div class="table-container mat-elevation-z8">
    <table id="UsuarioTable" mat-table [dataSource]="dataSource" class="mat-elevation-z8">

        <!-- Checkbox Column -->
        <ng-container matColumnDef="select">
            <th mat-header-cell *matHeaderCellDef>
                <mat-checkbox (change)="$event ? masterToggle() : null"
                    [checked]="selection.hasValue() && isAllSelected()"
                    [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()"
                    color='primary'>
                </mat-checkbox>
            </th>
            <td mat-cell *matCellDef="let row">
                <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                    [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)" color='primary'>
                </mat-checkbox>
            </td>
        </ng-container>

        <!-- Id Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef>Código</th>
            <td mat-cell *matCellDef="let element">{{element.id}}</td>
        </ng-container>

        <!-- Cod Barras Column -->
        <ng-container matColumnDef="codBarras">
            <th mat-header-cell *matHeaderCellDef>Código Carrinho</th>
            <td mat-cell *matCellDef="let element">{{element.codBarras}}</td>
        </ng-container>

        <!-- Status Column -->
        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef>Status Carrinho</th>
            <td mat-cell *matCellDef="let element">{{element.status}}</td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns; " (click)="selection.toggle(row)"></tr>
    </table>
</div><br>

<legend>Itens do Carrinho</legend>
<div class="table-container-monitor mat-elevation-z8">
    <table id="ProdutoTable" mat-table [dataSource]="transactions" class="mat-elevation-z8">

        <ng-container matColumnDef="codBarrasItem">
            <th mat-header-cell *matHeaderCellDef>Código Barras</th>
            <td mat-cell *matCellDef="let transaction"> {{transaction.codBarrasProd}} </td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="descItem">
            <th mat-header-cell *matHeaderCellDef>Desc Item</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.descProd}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="valorUnit">
            <th mat-header-cell *matHeaderCellDef>Preço Item</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.precoUnit | currency}}</td>
            <td mat-footer-cell *matFooterCellDef></td>
        </ng-container>

        <!-- Item Column -->
        <ng-container matColumnDef="qtdItem">
            <th mat-header-cell *matHeaderCellDef>Qtd Item</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.qtdProd}}</td>
            <td mat-footer-cell *matFooterCellDef>Total</td>
        </ng-container>

        <!-- Cost Column -->
        <ng-container matColumnDef="valorTotal">
            <th mat-header-cell *matHeaderCellDef>Valor Total</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.valorTotal | currency}}</td>
            <td mat-footer-cell *matFooterCellDef>{{getTotal() | currency}}<label></label></td>
        </ng-container>
         
        <!-- Cost Column -->
        <ng-container matColumnDef="pesoItens">
            <th mat-header-cell *matHeaderCellDef>Peso Item</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.pesoProd}}</td>
            <td mat-footer-cell *matFooterCellDef>{{getTotalPesoItem()}}<label></label></td>
        </ng-container>
         
        <!-- Cost Column -->
        <ng-container matColumnDef="pesoCarrinho">
            <th mat-header-cell *matHeaderCellDef>Peso Carrinho</th>
            <td mat-cell *matCellDef="let transaction">{{transaction.pesoCarrinho}}</td>
            <td mat-footer-cell *matFooterCellDef>{{getTotalPesoCarrinho()}} kg</td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumnsMonitor; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumnsMonitor;"></tr>
        <tr mat-footer-row *matFooterRowDef="displayedColumnsMonitor"></tr>
    </table>
</div><br>

<!-- Copyright 2019 Google LLC. All Rights Reserved.
      Use of this source code is governed by an MIT-style license that
      can be found in the LICENSE file at http://angular.io/license -->